/* PDFConverter */

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface PDFConverter : NSObject
{
	IBOutlet id window;
	IBOutlet id progressWindow;
	IBOutlet id textPageNum;
	IBOutlet id textWidth;
	IBOutlet id textHeight;
	IBOutlet id textFieldWidth;
	IBOutlet id textFieldHeight;
	IBOutlet id btnOpen;
	IBOutlet id btnConvert;
	IBOutlet id progressMsg;
	IBOutlet id indicator;

	PDFDocument *pdfDoc;
	int pdfWidth;
	int pdfHeight;
	double pdfRatio;
	NSString *lastOpenDir;

	BOOL threadIsRunning;
	BOOL needAbort;
	int outWidth;
	int outHeight;
}
- (IBAction)open:(id)sender;
- (IBAction)convert:(id)sender;
- (IBAction)onAbort:(id)sender;
- (void) onThreadExit;
- (void) lockUI;
- (void) unlockUI;
- (void)controlTextDidChange:(NSNotification *)aNotification;
- (BOOL)windowShouldClose:(id)sender;
- (void) _convert_thread:(NSDictionary *) panel;
- (void)sheetDidEnd:(NSWindow*)sheet returnCode:(int)returnCode contextInfo:(void*)contextInfo;
- (BOOL) _pdf2jpeg:(PDFDocument *)doc path:(NSString *)savePath file:(NSString *)filename;
- (NSImage *)_pdf2image:(PDFPage *)page;
 
@end
